package com.fr.plugin.demo.before.init.event;

import com.fr.decision.fun.impl.AbstractDecisionInitEventProvider;
import com.fr.decision.webservice.utils.WebServiceUtils;
import com.fr.log.FineLoggerFactory;
import com.fr.plugin.transform.FunctionRecorder;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: Elijah
 * @Create: 2019-03-28
 * @Desciption:
 */
@FunctionRecorder
public class CustomBeforeInitEventProvider extends AbstractDecisionInitEventProvider {
    @Override
    public void before(HttpServletRequest httpServletRequest) {
        FineLoggerFactory.getLogger().error(WebServiceUtils.getIpInfoFromRequest(httpServletRequest) + " init decision");
    }
}